Subject: Re: glibc vs. newlib

From: Mark Hatle <[email-masked]>
Date: Fri, 04 Apr 2003 19:30:21 -0600

[email-masked] wrote:
> What are the experiences and tradeoffs of using newlib vs. glibc?  I'm targetting 16M board (maybe some 8M), no swap space, and I'm concerned that adding glibc will suck much of this up.  At the same time we'd also like to be able to use off-the-shelf components like dhcpd or telnetd, and are not sure if newlib would give us too many headaches there.
>
> Darin Johnson

I strongly recommend you stay away from newlib.

My recommendation is to use glibc "optimized"  (there are numerous programs that
will re-link glibc based on particular requirements you may have.)

Or if you need a more "generic solution" look into uclibc.

--Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/